#include <QApplication>
#include <QTranslator>
#include <QLocale>
#include <QScopedPointer>

#include "vimpal.h"


int main(int argc, char** argv)
{
    QApplication app(argc, argv);

    QCoreApplication::setOrganizationName("Aurelijus Bruzas");
    QCoreApplication::setApplicationName("vimpal");

    QTranslator* t = new QTranslator(&app);

    if (t->load(QString(":/i18n/%1.qm").arg(QLocale::system().name())))
    {
        app.installTranslator(t);
    }

    QScopedPointer<VimPal> vimPal(new VimPal);

    vimPal->show();

    return app.exec();
}
