#ifndef PREFERENCES_H
#define PREFERENCES_H

#include "ui_preferences.h"

#include "tool.h"

class QStandardItemModel;

class Preferences: public QDialog, public Ui::Preferences
{
    Q_OBJECT

public:
    explicit Preferences(QWidget *parent = 0);

    void setTools(const QList<Tool>& tools);
    const QList<Tool> getTools() const;

private slots:
    void on_browseCmd_clicked();
    void on_addTool_clicked();
    void on_removeTool_clicked();
    void on_moveToolUp_clicked();
    void on_moveToolDown_clicked();

    void currentToolChanged(const QModelIndex& index, const QModelIndex& previous = QModelIndex());

    void on_toolView_activated(const QModelIndex &index);

private:
    QStandardItemModel* mToolModel;
};

#endif // PREFERENCES_H
