#ifndef PROFILES_H
#define PROFILES_H

#include "ui_profiles.h"

#include "profile.h"

class QStandardItemModel;

class Profiles: public QDialog, private Ui::Profiles
{
    Q_OBJECT

public:
    explicit Profiles(QWidget* parent = 0);

    void setProfiles(const QList<Profile>& profs);

    QList<Profile> getProfiles();

    int getNewIndex(int index);

private slots:
    void on_addProfile_clicked();
    void on_removeProfile_clicked();
    void on_moveUp_clicked();
    void on_moveDown_clicked();

    void currentChanged(const QModelIndex& index, const QModelIndex& previous = QModelIndex());

private:
    QStandardItemModel* mProfModel;
};

#endif   // PROFILES_H
